echo "Déploiement de Odoo"
echo "Installation des dépendances"
apt update && apt dist-upgrade
sudo apt-get install apt-transport-https ca-certificates curl gnupg lsb-release docker docker-compose
echo "Configuration du docker"
read -p "Mot de passe de la base de données : " mdp
read -p "Port : " port
echo "version: \"2.1\"
services:
    odoo:
        image: lefilament/odoo:14.0
        container_name: odoo14
        depends_on:
            - db
        tty: true
        ports:
            - $port:$port
        volumes:
            - filestore:/opt/odoo/data:z
        restart: unless-stopped
        command:
            - odoo

    db:
        image: postgres:13-alpine
        container_name: odoo14_db
        environment:
            POSTGRES_USER: \"odoo\"
            POSTGRES_PASSWORD: \"$mdp\"
        volumes:
            - db:/var/lib/postgresql/data:z
        restart: unless-stopped

networks:
    default:
        driver_opts:
            encrypted: 1

volumes:
    filestore:
    db:

"> docker-compose.yml

#docker-compose up -d db
#docker-compose up -d odoo

#docker-compose exec odoo python3 /opt/odoo/odoo/odoo-bin -c /opt/odoo/etc/odoo.conf --db_host db --db_port 5432 --db_user odoo --db_password LeVraiMotDePasse --init base --stop-after-init --no-http --without-demo=all

#docker-compose exec -u root odoo apt update
#docker-compose exec -u root odoo apt install git -y

